ChangeSet 1.1760.26.12, 2004/06/24 11:02:07-07:00, oliver@neukum.org

[PATCH] USB: GFP_KERNEL in irq

you are using GFP_KERNEL in irq. That's illegal. GFP_ATOMIC must
be used.

Signed-Off-By: Oliver Neukum <oliver@neukum.name>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/media/konicawc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/media/konicawc.c b/drivers/usb/media/konicawc.c
--- a/drivers/usb/media/konicawc.c	2004-06-29 16:25:55 -07:00
+++ b/drivers/usb/media/konicawc.c	2004-06-29 16:25:55 -07:00
@@ -324,7 +324,7 @@
         }
         urb->dev = uvd->dev;
         urb->status = 0;
-        ret = usb_submit_urb(urb, GFP_KERNEL);
+	ret = usb_submit_urb(urb, GFP_ATOMIC);
 	DEBUG(3, "submitting urb of length %d", urb->transfer_buffer_length);
         if(ret)
                 err("usb_submit_urb error (%d)", ret);
